### File

`packages/eui-mobile/packages/core/src/lib/components/layout/euim-language-selector/euim-language-list.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `euim-language-list`
templateUrl | `euim-language-list.component.html`

### Index

###### Properties

- Public appService
- Public appShellService
- euLanguageList
- firstElementFromEUList
- firstElementFromNonEUList
- hasSearchbar
- isKeyboardShown
- languages
- languagesSortedByEUAndNonEU
- lastElementFromEUList
- name
- nonEULanguageList
- results
- selectedLanguage

###### Methods

- isLastElementOfArray
- onLanguageSelected

### Constructor

`constructor(appShellService: EuiAppShellService, appService: EuimAppService, modalCtrl: ModalController, i18nService: I18nService)`

Parameters :

Name | Type | Optional
appShellService | `EuiAppShellService` | No
appService | `EuimAppService` | No
modalCtrl | `ModalController` | No
i18nService | `I18nService` | No

### Methods

isLastElementOfArray
`isLastElementOfArray(array: T[], element: T)`

Type parameters :

- T

Parameters :

Name | Type | Optional
array | `T[]` | No
element | `T` | No

Returns : `boolean`

onLanguageSelected
`onLanguageSelected(language: EuiLanguage)`

Parameters :

Name | Type | Optional
language | `EuiLanguage` | No

Returns : `void`

### Properties

Public appService
will be removed in eUI Mobile v19.
Type : `EuimAppService`

Public appShellService
will be removed in eUI Mobile v19.
Type : `EuiAppShellService`

euLanguageList
Type : `EuiLanguage[]`

firstElementFromEUList
will be removed in eUI Mobile v19. Use euLanguageList[0] instead.
Type : `EuiLanguage`

firstElementFromNonEUList
will be removed in eUI Mobile v19. Use nonEULanguageList[0] instead.
Type : `EuiLanguage`

hasSearchbar
Type : `boolean`

isKeyboardShown
will be removed in eUI Mobile v19.
Type : `boolean`

languages
Type : `EuiLanguage[]`

languagesSortedByEUAndNonEU
will become private in eUI Mobile v19.
Type : `EuiLanguage[]`
will become private in eUI Mobile v19.

lastElementFromEUList
will be removed in eUI Mobile v19. Use isLastElementOfArray() function instead.
Type : `EuiLanguage`

name
will be removed in eUI Mobile v19.
Type : `string`

nonEULanguageList
Type : `EuiLanguage[]`

results
Type : `EuiLanguage[]`

selectedLanguage
Type : `EuiLanguage`

# results matching ""

# No results matching ""